Subject: RE: [PATCH 21/30] panic: Introduce the panic pre-reboot notifier list

From: "Luck, Tony" <[email-masked]>
Date: Tue, 17 May 2022 17:02:31 +0000

> Tony / Dinh - can I just *skip* this notifier *if kdump* is set or else
> we run the code as-is? Does that make sense to you?

The "skip" option sounds like it needs some special flag associated with
an entry on the notifier chain. But there are other notifier chains ... so that
sounds messy to me.

Just all the notifiers in priority order. If any want to take different actions
based on kdump status, change the code. That seems more flexible than
an "all or nothing" approach by skipping.

-Tony